version: "3.8"

services:
  app:
    image: nginx:alpine
    container_name: riwa-distribute
    ports:
      - 6999:6999
    restart: always
    network_mode: bridge
    volumes:
      # dist
      - ./.output/public:/usr/share/nginx/html/
      # nginx conf
      - ./nginx.conf:/etc/nginx/nginx.conf

# version: '3.8'

# services:
#   app:
#     container_name: riwa-distribute
#     build:
#       context: .
#       dockerfile: Dockerfile
#     ports:
#       - "3000:3000"
#     environment:
#       - NODE_ENV=production
#       - HOST=0.0.0.0
#       - PORT=3000
#     restart: unless-stopped
#     volumes:
#       - ./.output/:/app/.output/
#     networks:
#       - riwa-network
#     healthcheck:
#       test: ["CMD", "wget", "--quiet", "--tries=1", "--spider", "http://localhost:3000/api/version"]
#       interval: 30s
#       timeout: 10s
#       retries: 3
#       start_period: 20s

# networks:
#   riwa-network:
#     driver: bridge
